Bug 242610 - toolbar placement is always in lower-right corner
toolbar placement is always in lower-right corner
Product: Fedora
Classification: Fedora
Component: scim (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peng Huang
Depends On:
  Show dependency treegraph
Reported: 2007-06-04 22:49 EDT by Jens Petersen
Modified: 2008-03-04 05:20 EST (History)
2 users (show)

See Also:
Fixed In Version: F8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-04 05:20:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
A slightly modified patch for this problem (797 bytes, patch)
2007-06-11 11:51 EDT, Ryo Dairiki
no flags Details | Diff

  None (edit)
Description Jens Petersen 2007-06-04 22:49:07 EDT
Description of problem:
As first reported by Dairiki-san in bug 204442 the scim toolbar is always
put in the lower-right corner even if one drags it to another location.  

How reproducible:
every time

Steps to Reproduce:
1. trigger scim
2. drag toolbar up
3. retrigger scim
Actual results:
1. toolbar at bottom-right
3. toolbar reappears at bottom-right

Expected results:
3. toolbar to appear at side of screen

Additional info:
Removing scim_panel_gtk-settle-toolbar-after-drag.patch workaround the problem.
Comment 1 Jens Petersen 2007-06-05 00:32:56 EDT
scim-1.4.5-21.fc7 has been submitted to updates-testing for this.
Comment 2 Ryo Dairiki 2007-06-11 11:51:41 EDT
Created attachment 156729 [details]
A slightly modified patch for this problem
Comment 3 Ryo Dairiki 2007-06-11 12:02:50 EDT
I've made a slightly modified patch with the following features.
Maybe, this works well both for me and Matthias.

1. Panel always appears on the right bottom on showing.
2. The panel won't move by itself while it is shown.
3. When the panel is hidden, the current position of the panel is forgotten again.
4. If 'snapping' is enabled, the panel snaps horizontally after drag finishes.

This is the best for the current release; 
There should be another option like "Remember the panel location" in 1.6 branch.
Comment 4 Jens Petersen 2007-11-07 23:38:02 EST
Peng Huang, probably we should update the patch for F9 at least.
It can be backported to F8 and F7 later if necessary.
Comment 5 Peng Huang 2008-03-03 05:53:11 EST
Hi Jens,
I can not reproduce this problem in rawhide. Could re check it?

Comment 6 Jens Petersen 2008-03-04 05:20:11 EST
Agreed - looks fixed to me too.

Note You need to log in before you can comment on or make changes to this bug.